﻿using Syncfusion.XForms.DataForm;
using Syncfusion.XForms.DataForm.Editors;
using System;
using System.Collections.Generic;
using System.Text;
using Xamarin.Forms;

namespace DataForm
{
    public class CustomPickerEditor : DataFormPickerEditor
    {
        public CustomPickerEditor(SfDataForm dataForm) : base(dataForm)
        {
        }

        protected override void OnInitializeView(DataFormItem dataFormItem, DataFormPicker view)
        {
            if (dataFormItem.Name == "FirstName")
                view.TextColor = Color.Green;
            base.OnInitializeView(dataFormItem, view);
        }
    }

}
