﻿using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using System.Globalization;
using System.Linq;
using System.Reflection;
using Xamarin.Forms;
using System.Collections.ObjectModel;
using System.Threading.Tasks;

namespace DataForm
{
    public class DataFormViewModel : INotifyPropertyChanged
    {
        private ContactsInfo form;

        public ContactsInfo Form
        {
            get { return form; }
            set
            {
                form = value;
            }
        }

        public DataFormViewModel()
        {
            this.form = new ContactsInfo();
        }

        public event PropertyChangedEventHandler PropertyChanged;

        void OnPropertyChanged(string propertyName = "")
        {
            if (PropertyChanged == null) return;

            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
